Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.singularsys.jep
Enum OperatorTable2.BasicOperators

    java.lang.Object
      java.lang.Enum<OperatorTable2.BasicOperators>
          com.singularsys.jep.OperatorTable2.BasicOperators

All Implemented Interfaces:
  OperatorTable2.OperatorKey, java.io.Serializable, java.lang.Comparable<OperatorTable2.BasicOperators>

Enclosing class:
  OperatorTable2

    public static enum OperatorTable2.BasicOperators

extends java.lang.Enum<OperatorTable2.BasicOperators>
implements OperatorTable2.OperatorKey

The basic arithmetic comparative and logical operators

Author:
  Richard Morris

Enum Constant Summary
`ADD`
`AND`
`DIV`
`EQ`
`GE`
`GT`
`LE`
`LT`
`MOD`
`MUL`
`NE`
`NEG`
`NOT`
`OR`
`POW`
`SUB`

Method Summary
`static OperatorTable2.BasicOperators` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OperatorTable2.BasicOperators[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD

    public static final OperatorTable2.BasicOperators ADD

### SUB

    public static final OperatorTable2.BasicOperators SUB

### NEG

    public static final OperatorTable2.BasicOperators NEG

### MUL

    public static final OperatorTable2.BasicOperators MUL

### DIV

    public static final OperatorTable2.BasicOperators DIV

### MOD

    public static final OperatorTable2.BasicOperators MOD

### POW

    public static final OperatorTable2.BasicOperators POW

### EQ

    public static final OperatorTable2.BasicOperators EQ

### NE

    public static final OperatorTable2.BasicOperators NE

### LT

    public static final OperatorTable2.BasicOperators LT

### GT

    public static final OperatorTable2.BasicOperators GT

### LE

    public static final OperatorTable2.BasicOperators LE

### GE

    public static final OperatorTable2.BasicOperators GE

### AND

    public static final OperatorTable2.BasicOperators AND

### OR

    public static final OperatorTable2.BasicOperators OR

### NOT

    public static final OperatorTable2.BasicOperators NOT

Method Detail

### values

    public static OperatorTable2.BasicOperators[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OperatorTable2.BasicOperators c : OperatorTable2.BasicOperators.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OperatorTable2.BasicOperators valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep